Folks.LocalIdDetails – folks Reference Manual

# LocalIdDetails

## Object Hierarchy:

## Description:

public interface LocalIdDetails : Object

This interface represents the list of Persona.iids corresponding to Personas from backends with write support so that they can be linked.

This is necessary so that personas from the same backend can be linked together even if they have no other linkeable properties set.

## Since:

0.5.0

All known implementing classes:

- Individual

Namespace: Folks
Package: folks

## Content:

### Properties:

- public abstract Set<string> local_ids { get; set; }
  The IIDs corresponding to Personas in a backend that we fully trust.

### Methods:

- public virtual async void change_local_ids (Set<string> local_ids) throws PropertyError
  Change the contact's local IDs.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref